Page MenuHomePhabricator

Setup PAWS internal experimentally on notebook* nodes
Open, MediumPublic

Description

Experimentally! We've a bunch of nodes, and one should have only mysql access, and another both mysql & hive/hadoop access. Similar to stat boxes.

We'll initially require people ssh tunnel into it, but eventually we'd like to expose it over the web (with multiple levels of LDAP auth)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2016, 2:54 AM

Change 288086 had a related patch set uploaded (by Madhuvishy):
jupyterhub: Add module to set up Jupyterhub for paws-internal

https://gerrit.wikimedia.org/r/288086

Change 288086 merged by Yuvipanda:
jupyterhub: Add module to set up Jupyterhub for paws-internal

https://gerrit.wikimedia.org/r/288086

Script wmf_auto_reimage was launched by yuvipanda on neodymium.eqiad.wmnet for hosts:

['notebook1001.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201610310259_yuvipanda_5214.log.

Mentioned in SAL (#wikimedia-operations) [2016-10-31T02:59:39Z] <yuvipanda> start reimaging notebook1001 for T149543

Change 318876 had a related patch set uploaded (by Yuvipanda):
jupyterhub: Safer defaults for authenticator

https://gerrit.wikimedia.org/r/318876

Change 318876 merged by Yuvipanda:
jupyterhub: Safer defaults for authenticator

https://gerrit.wikimedia.org/r/318876

Completed auto-reimage of hosts:

['notebook1001.eqiad.wmnet']

and were ALL successful.

Change 318878 had a related patch set uploaded (by Yuvipanda):
jupyterhub: Add some hardening for the notebooks

https://gerrit.wikimedia.org/r/318878

Change 318878 merged by Madhuvishy:
jupyterhub: Add some hardening for the notebooks

https://gerrit.wikimedia.org/r/318878

Change 319475 had a related patch set uploaded (by Yuvipanda):
paws_internal: Add mysql reseach creds to notebook1001

https://gerrit.wikimedia.org/r/319475

Change 319475 merged by Yuvipanda:
paws_internal: Add mysql reseach creds to notebook1001

https://gerrit.wikimedia.org/r/319475

Change 319479 had a related patch set uploaded (by Yuvipanda):
paws_internal: Provision research users on notebook node

https://gerrit.wikimedia.org/r/319479

Change 319479 merged by Yuvipanda:
paws_internal: Provision research users on notebook node

https://gerrit.wikimedia.org/r/319479

Change 319494 had a related patch set uploaded (by Yuvipanda):
jupyterhub: Setup HTTP Proxy for each spawned node

https://gerrit.wikimedia.org/r/319494

Change 319494 merged by Yuvipanda:
jupyterhub: Setup HTTP Proxy for each spawned node

https://gerrit.wikimedia.org/r/319494

Change 319501 had a related patch set uploaded (by Yuvipanda):
jupyterhub: Don't set HTTP_PROXY on jupyterhub itself

https://gerrit.wikimedia.org/r/319501

Change 319501 merged by Yuvipanda:
jupyterhub: Don't set HTTP_PROXY on jupyterhub itself

https://gerrit.wikimedia.org/r/319501

Change 319503 had a related patch set uploaded (by Yuvipanda):
jupyterhub: Do not use proxying when talking to localhost

https://gerrit.wikimedia.org/r/319503

Change 319503 merged by Yuvipanda:
jupyterhub: Do not use proxying when talking to localhost

https://gerrit.wikimedia.org/r/319503

Change 319504 had a related patch set uploaded (by Yuvipanda):
jupyterhub: Fix typo

https://gerrit.wikimedia.org/r/319504

Change 319504 merged by Yuvipanda:
jupyterhub: Fix typo

https://gerrit.wikimedia.org/r/319504

Change 319506 had a related patch set uploaded (by Yuvipanda):
jupyterhub: widen group of users who can log in

https://gerrit.wikimedia.org/r/319506

Change 319506 merged by Yuvipanda:
jupyterhub: widen group of users who can log in

https://gerrit.wikimedia.org/r/319506

Change 319507 had a related patch set uploaded (by Yuvipanda):
jupyterhub: Add additional protections against arbitrary user login

https://gerrit.wikimedia.org/r/319507

Change 319507 merged by Yuvipanda:
jupyterhub: Add additional protections against arbitrary user login

https://gerrit.wikimedia.org/r/319507

Change 319650 had a related patch set uploaded (by Yuvipanda):
paws_internal: Install statistics related packages

https://gerrit.wikimedia.org/r/319650

MoritzMuehlenhoff triaged this task as Medium priority.Nov 4 2016, 9:23 AM

Change 319650 abandoned by Yuvipanda:
paws_internal: Install statistics related packages

https://gerrit.wikimedia.org/r/319650